/* date = August 27th 2023 3:38 pm */

#ifndef VN_WORKSPACE_CHARACTER_EDITOR_H
#define VN_WORKSPACE_CHARACTER_EDITOR_H

////////////////////////////////
//~ sixten: Workspace Character Editor Types

struct character_editor_entry_data
{
    //- sixten: node links
    character_editor_entry_data *Next;
    character_editor_entry_data *Prev;
    
    //- sixten: contents
    struct character_entry *Entry;
    b32 IsOpen;
    r32 OpenTransition;
};

struct character_editor_processed_entry_list
{
    character_editor_entry_data *First;
    character_editor_entry_data *Last;
};

struct workspace_view_character_editor
{
    character_editor_processed_entry_list List;
    character_editor_processed_entry_list FreeList;
    
    r32 ScrollT;
};

////////////////////////////////
//~ sixten: Workspace Character Editor Functions

static void W_BuildCharacterEditorView(workspace_view *View);

#endif //VN_WORKSPACE_CHARACTER_EDITOR_H
